=== debian/changelog ===
gridsite (2.2.5-1) unstable; urgency=medium

  * Update to version 2.2.5
  * Drop patches gridsite-ldflags.patch, gridsite-httpd24.patch,
    gridsite-fprintf.patch and gridsite-return-type.patch (upstream)
  * Drop patch cgi-bin-location.patch - move file in debian/rules instead
  * Ack NMUs (Thanks Vincent, Colin and Matthias)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 29 Oct 2014 16:04:24 +0100
