## gridsite 2.2.6

=== src/Makefile ===
--- 
+++ 
@@ -118,7 +118,7 @@
 #
 
 build: apidoc build-lib htcp mod_gridsite.so urlencode findproxyfile \
-       real-gridsite-admin.cgi gridsite-delegation.cgi
+       real-gridsite-admin.cgi gridsite-delegation.cgi htproxyput
 
 build-lib: libgridsite_globus.la libgridsite_globus.a \
            libgridsite.la libgridsite.a \
@@ -130,7 +130,7 @@
 
 libgridsite.la: $(GRIDSITE_OBJS)
 	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
-          -o $@ $+ -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS)
+          -o $@ $+ -lssl -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS) -lpthread
 
 grst_err.lo: grst_err.c ../interface/gridsite.h
 	$(COMPILE)  $(MYCFLAGS) \
@@ -166,7 +166,7 @@
 
 libgridsite_globus.la: $(GRIDSITE_OBJS)
 	$(LINK) -rpath $(prefix)/$(libdir) $(version_info) \
-         -o $@ $+ -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS)
+         -o $@ $+ -lssl -lcrypto $(MYCANLLDFLAGS) $(XML2_LIBS) -lpthread
 
 # then build versions without OpenSSL
 
@@ -233,7 +233,7 @@
 	$(CC) $(CFLAGS) $(MYCFLAGS) $(LDFLAGS) \
            -shared -Wl,-soname=gridsite_module \
            -I/usr/kerberos/include \
-           $(XML2_CFLAGS) -lcrypto -lssl $(MYCANLLDFLAGS) \
+           $(XML2_CFLAGS) -lssl -lcrypto $(MYCANLLDFLAGS) \
            -DVERSION=\"$(VERSION)\" -o mod_gridsite.so \
            $(MOD_GRIDSITE_FILE) -L./.libs -lgridsite
 
@@ -263,7 +263,7 @@
 showx509exts: showx509exts.lo libgridsite.la
 	$(LINK) $(MYLDFLAGS) \
             -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
- 
+
 slashgrid: slashgrid.lo libgridsite.la
 	$(LINK) $< -o $@ -lfuse $(MYLDFLAGS) \
           -L. $(CURL_LIBS) -lgridsite -lpthread
@@ -288,7 +288,7 @@
 
 gaclexample: gaclexample.lo libgridsite.la
 	$(LINK) -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
-	    
+
 xacmlexample: xacmlexample.lo libgridsite.a
 	$(LINK) -o $@ $< -L. -lgridsite -lssl -lcrypto $(XML2_LIBS) -lz -lm
 #
