=== debian/changelog ===
gridsite (2.2.6-1build1) xenial; urgency=medium

  * No-change rebuild for gsoap transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 07:23:34 +0000

gridsite (2.2.6-1) unstable; urgency=medium

  * Update to version 2.2.6
  * Drop patches curl-defines.patch and missing-ssl-linking.patch (upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 01 Aug 2015 15:51:39 +0200
