=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,7 @@
 	dh_testdir
 
 	cd src && \
-	$(MAKE) build htproxyput prefix=/usr \
+	$(MAKE) build prefix=/usr \
 	    CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch $@
@@ -113,6 +113,7 @@
 	dh_installdocs -i
 	dh_installchangelogs -i
 	dh_install -i --fail-missing
+	dh_lintian -i
 	dh_link -i
 	dh_compress -i
 	dh_fixperms -i
