## gridsite 2.3.1

=== debian/changelog ===
gridsite (2.3.1-1) unstable; urgency=medium

  * Update to version 2.3.1
  * Drop patches gridsite-sed.patch and gridsite-types.patch (upstream)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 16 Aug 2016 13:24:14 +0200

gridsite (2.2.6-3) unstable; urgency=medium

  * Fix cut and paste error in package description (Closes: #816066)
  * Remove obsolete debian/watch file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 29 Feb 2016 11:44:41 +0100

gridsite (2.2.6-2) unstable; urgency=medium

  * Set permissions on created directories (for reproducible build)
  * Set SOURCE_DATE_EPOCH and rebuild using doxygen 1.8.11
    (for reproducible build)
  * Implement multi-arch support
  * Split dbg package for multi-arch (same vs. foreign)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Feb 2016 18:38:18 +0100
