=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: gridsite
 Section: net
 Priority: optional
-Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
 Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, libssl-dev, libcanl-c-dev, gsoap, libtool, libtool-bin, doxygen, sharutils, dh-apache2, pkg-config
-Standards-Version: 3.9.6
-Homepage: http://www.gridsite.org/
+Standards-Version: 3.9.8
+Homepage: https://wiki.metacentrum.cz/gswiki/
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
 Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite
 
 Package: gridsite
 Architecture: any
+Multi-Arch: foreign
 Depends: libgridsite2 (= ${binary:Version}), apache2-bin (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
 Recommends: ${misc:Recommends}
 Description: Grid Security for the Web, Web platforms for Grids
@@ -19,11 +20,12 @@
  web server and a toolkit for Grid credentials, GACL access control
  lists and HTTP(S) protocol operations.
  .
- This package, gridsite, contains apache httpd modules for enabling
+ This package, gridsite, contains Apache httpd modules for enabling
  mod_gridsite.
 
 Package: libgridsite2
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Run time libraries for mod_gridsite and gridsite-clients
@@ -37,6 +39,7 @@
 
 Package: gridsite-clients
 Architecture: any
+Multi-Arch: foreign
 Depends: libgridsite2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Clients to gridsite: htcp, htrm, htmv
  GridSite was originally a web application developed for managing and
@@ -50,6 +53,7 @@
 
 Package: libgridsite-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libgridsite2 (= ${binary:Version}), ${misc:Depends}
 Description: Developers tools for gridsite
@@ -64,6 +68,7 @@
 
 Package: gridsite-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Description: Developers Documentation for gridsite
@@ -78,14 +83,32 @@
 
 Package: gridsite-dbg
 Architecture: any
+Multi-Arch: foreign
 Section: debug
 Priority: extra
-Depends: gridsite (= ${binary:Version}) | libgridsite2 (= ${binary:Version}) | gridsite-clients (= ${binary:Version}), ${misc:Depends}
-Description: Debugging symbols for gridsite
+Depends: gridsite (= ${binary:Version}) | gridsite-clients (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for the gridsite clients and modules
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over
  the past years it has grown into a set of extensions to the Apache
  web server and a toolkit for Grid credentials, GACL access control
  lists and HTTP(S) protocol operations.
  .
- This package, gridsite-dbg, contains debugging symbols for gridsite.
+ This package, gridsite-dbg, contains debugging symbols for the gridsite
+ clients and httpd modules.
+
+Package: libgridsite-dbg
+Architecture: any
+Multi-Arch: same
+Section: debug
+Priority: extra
+Depends: libgridsite2 (= ${binary:Version}), ${misc:Depends}
+Description: Debugging symbols for the gridsite library
+ GridSite was originally a web application developed for managing and
+ formatting the content of the http://www.gridpp.ac.uk/ website. Over
+ the past years it has grown into a set of extensions to the Apache
+ web server and a toolkit for Grid credentials, GACL access control
+ lists and HTTP(S) protocol operations.
+ .
+ This package, libgridsite-dbg, contains debugging symbols for the
+ gridsite library.
