## gridsite 2.3.2

=== src/Makefile ===
--- 
+++ 
@@ -198,7 +198,7 @@
 
 # now the binary exectuables
 
-gsexec.lo urlencode.lo gridsite-copy.lo findproxyfile.lo showx509exts.lo:
+gsexec.lo urlencode.lo gridsite-copy.lo findproxyfile.lo showx509exts.lo test-chain.lo:
 	$(COMPILE) -DVERSION=\"$(PATCH_VERSION)\" $(MYCFLAGS) \
 	    -o $@ -c $(subst .lo,.c,$@)
 
@@ -219,6 +219,9 @@
 
 htcp: htcp.lo libgridsite.la
 	$(LINK) -o $@ $+ $(CURL_LIBS)
+
+test-chain: test-chain.lo libgridsite.la
+	$(LINK) -o $@ $< -L. -lgridsite -static
 
 htcp-static: htcp.lo libgridsite.a
 	$(LINK) -o $@ -L. $< \
@@ -351,9 +354,6 @@
             -lgridsite $(CURL_LIBS)
 
 %.pc: %.pc.in
-	sed -e "s/@version@/$(VERSION)/" -e "s,@prefix@,$(prefix)," -e "s/@libdir@/$(libdir)/" $< > $@
+	sed -e "s/@version@/$(VERSION)/" -e "s,@prefix@,$(prefix)," -e "s,@libdir@,$(libdir)," $< > $@
 
 clean:
-	rm -rvf doxygen
-	rm -rvf .libs
-	rm -vf DelegationSoapBinding.* soapC*.c soapH*.h soapS*.c soapStub.h ns.xsd
