=== debian/changelog ===
gridsite (2.3.2-3) unstable; urgency=medium

  * Add missing Build-Dependd zlib1g-dev to fix FTBFS (Closes: #852501)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 30 Jan 2017 09:48:49 +0100

gridsite (2.3.2-2) unstable; urgency=medium

  * Build using apache2-ssl-dev (Closes: #828330, #845392)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Dec 2016 11:45:28 +0100

gridsite (2.3.2-1) unstable; urgency=medium

  * Update to version 2.3.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 25 Aug 2016 14:39:25 +0200
