=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, libssl-dev, libcanl-c-dev, gsoap, libtool, libtool-bin, doxygen, sharutils, dh-apache2, pkg-config
+Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, apache2-ssl-dev, libcanl-c-dev, zlib1g-dev, gsoap, libtool, libtool-bin, doxygen, sharutils, dh-apache2, pkg-config
 Standards-Version: 3.9.8
 Homepage: https://wiki.metacentrum.cz/gswiki/
 Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
