=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 -include /usr/share/dpkg/buildflags.mk
 
@@ -15,6 +17,9 @@
 _datadir = $(_prefix)/share
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
+
+export SOURCE_DATE_EPOCH = \
+	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
 
 configure: configure-stamp
 
@@ -33,7 +38,7 @@
 	dh_testdir
 
 	cd src && \
-	$(MAKE) build prefix=/usr \
+	$(MAKE) build prefix=/usr libdir=lib/$(DEB_HOST_MULTIARCH) \
 	    CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 	touch $@
@@ -60,30 +65,31 @@
 	dh_prep
 
 	cd src && \
-	$(MAKE) install install-ws DESTDIR=$(INSTALLDIR) prefix=/usr
+	$(MAKE) install install-ws DESTDIR=$(INSTALLDIR) \
+		prefix=/usr libdir=lib/$(DEB_HOST_MULTIARCH)
 
 	# Change cgi scripts location
-	mkdir -p $(INSTALLDIR)$(_libdir)/gridsite/cgi-bin
+	mkdir -m 0755 -p $(INSTALLDIR)$(_libdir)/gridsite/cgi-bin
 	mv $(INSTALLDIR)$(_sbindir)/*.cgi \
 	   $(INSTALLDIR)$(_libdir)/gridsite/cgi-bin
 	rmdir $(INSTALLDIR)$(_sbindir)
 
 	# Let dh_apache2 handle module installation
-	rm -rf $(INSTALLDIR)$(_libdir)/httpd
+	rm -rf $(INSTALLDIR)$(_libdir)/$(DEB_HOST_MULTIARCH)/httpd
 
 	# Let debhelper do the compression
 	gunzip $(INSTALLDIR)$(_mandir)/man*/*
 
 	# This is not really useful
-	rm $(INSTALLDIR)$(_libdir)/libgridsite_globus.*
-	rm $(INSTALLDIR)$(_libdir)/libgridsite_nossl.*
+	rm $(INSTALLDIR)$(_libdir)/$(DEB_HOST_MULTIARCH)/libgridsite_globus.*
+	rm $(INSTALLDIR)$(_libdir)/$(DEB_HOST_MULTIARCH)/libgridsite_nossl.*
 
 	# Remove these - docs are installed using the debian/*.docs files
 	rm -rf $(INSTALLDIR)$(_datadir)/doc
 
 	# Set up root area to serve files from
-	mkdir -p $(INSTALLDIR)$(_localstatedir)/lib/gridsite
-	mkdir -p $(INSTALLDIR)$(_sysconfdir)/gridsite
+	mkdir -m 0755 -p $(INSTALLDIR)$(_localstatedir)/lib/gridsite
+	mkdir -m 0755 -p $(INSTALLDIR)$(_sysconfdir)/gridsite
 	install -m 0644 debian/gridsitehead.txt \
 	   $(INSTALLDIR)$(_sysconfdir)/gridsite/gridsitehead.txt
 	install -m 0644 debian/gridsitefoot.txt \
@@ -91,11 +97,11 @@
 	install -m 0644 debian/root-level.gacl \
 	   $(INSTALLDIR)$(_sysconfdir)/gridsite/.gacl
 
-	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists
-	mkdir -p $(INSTALLDIR)$(_sysconfdir)/grid-security/vomsdir
-	mkdir -p $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
+	mkdir -m 0755 -p $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists
+	mkdir -m 0755 -p $(INSTALLDIR)$(_sysconfdir)/grid-security/vomsdir
+	mkdir -m 0755 -p $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
 
-	mkdir -p $(INSTALLDIR)$(_datadir)/apache2/icons
+	mkdir -m 0755 -p $(INSTALLDIR)$(_datadir)/apache2/icons
 	uudecode -o $(INSTALLDIR)$(_datadir)/apache2/icons/gridsitelogo.png \
 	   debian/gridsitelogo.png.uu
 
@@ -132,13 +138,14 @@
 	dh_installman -a
 	dh_lintian -a
 	dh_link -a
-	dh_strip -a --dbg-package=gridsite-dbg
+	dh_strip -a -X/$(DEB_HOST_MULTIARCH)/ --dbg-package=gridsite-dbg
+	dh_strip -a -X/bin/ -X/gridsite/ --dbg-package=libgridsite-dbg
 	dh_compress -a
-	dh_fixperms -a -X var/lib/gridsite \
+	dh_fixperms -a -X var/lib/gridsite -X etc/gridsite \
 		       -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
 	dh_makeshlibs -a
 	dh_installdeb -a
-	dh_shlibdeps -a -l debian/libgridsite2/usr/lib
+	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
