## gridsite 3.0.0~20170225gitd51b2fd

=== src/Makefile ===
--- 
+++ 
@@ -83,8 +83,8 @@
 # where offset is a sum of maximal released minor's of all previous major's
 #
 
-# counted minors: -
-offset=0
+# counted minors: 2.3 (1.7, 1.5)
+offset=3
 
 version_info:=-version-info $(shell \
 	perl -e '$$,=":"; @F=split "\\.","$(PATCH_VERSION)"; print $$F[0]+$$F[1]+$(offset),$$F[2],$$F[1]' )
@@ -233,7 +233,7 @@
 
 mod_gridsite.so: $(MOD_GRIDSITE_FILE) $(MOD_SSLPRIVATE_HEADER) \
                  libgridsite.la
-	$(CC) $(CFLAGS) $(MYCFLAGS) $(LDFLAGS) \
+	$(CC) $(CFLAGS) $(MYCFLAGS) $(CANL_C_CFLAGS) $(LDFLAGS) \
            -shared -Wl,-soname=gridsite_module \
            -I/usr/kerberos/include \
            $(XML2_CFLAGS) -lssl -lcrypto $(MYCANLLDFLAGS) \
@@ -354,6 +354,3 @@
             -lgridsite $(CURL_LIBS)
 
 %.pc: %.pc.in
-	sed -e "s/@version@/$(VERSION)/" -e "s,@prefix@,$(prefix)," -e "s,@libdir@,$(libdir)," $< > $@
-
-clean:
