=== debian/changelog ===
gridsite (3.0.0~20170225gitd51b2fd-2ubuntu1) bionic; urgency=medium

  * Cherrypick upstream patch to fix FTBFS with new gSOAP.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 09 Feb 2018 11:22:48 +0000

gridsite (3.0.0~20170225gitd51b2fd-2) unstable; urgency=medium

  * Upload to unstable

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 04 Sep 2017 13:07:35 +0200

gridsite (3.0.0~20170225gitd51b2fd-1) experimental; urgency=medium

  * Update to version 3.0.0 development snapshot - supports openssl 1.1
    (Closes: #868583)
  * Migrate to dbgsym packages

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 07 Aug 2017 05:51:26 +0200
