## gridsite 3.0.0~20180202git2fdbc6f

=== src/Makefile ===
--- 
+++ 
@@ -90,6 +90,7 @@
 	perl -e '$$,=":"; @F=split "\\.","$(PATCH_VERSION)"; print $$F[0]+$$F[1]+$(offset),$$F[2],$$F[1]' )
 
 PC_FILES=gridsite-openssl.pc
+TARBALL=../gridsite-$(PATCH_VERSION).src.tar.gz
 
 # caNl adoption part
 # caNl library and headers have to be in standard system places.
