=== debian/changelog ===
gridsite (3.0.0~20180202git2fdbc6f-3) unstable; urgency=medium

  * Don't use the xml2-config script (Closes: #949154)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 25 Feb 2020 18:32:51 +0100

gridsite (3.0.0~20180202git2fdbc6f-2) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 10
  * Add Build-Depends on libgsoap-dev due to gsoap packaging change
  * Use .maintscript file for dpkg-maintscript-helper

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 24 Jul 2019 10:14:08 +0200

gridsite (3.0.0~20180202git2fdbc6f-1) unstable; urgency=medium

  * New development snapshot - compatible with updated gsoap
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 09 Feb 2018 14:47:05 +0100
