=== debian/control ===
--- 
+++ 
@@ -1,18 +1,36 @@
 Source: gridsite
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
-Build-Depends: debhelper, apache2-dev (>= 2.4), libxml2-dev, libcurl4-openssl-dev, apache2-ssl-dev (>= 2.4.27-3~), libcanl-c-dev (>= 3.0.0), zlib1g-dev, gsoap, libtool, libtool-bin, doxygen, sharutils, dh-apache2, pkg-config
-Standards-Version: 4.0.0
-Homepage: https://wiki.metacentrum.cz/gswiki/
-Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/gridsite
-Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/gridsite
+Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
+Build-Depends:
+ debhelper (>= 10),
+ apache2-dev (>= 2.4),
+ libxml2-dev,
+ libcurl4-openssl-dev,
+ apache2-ssl-dev (>= 2.4.27-3~),
+ libcanl-c-dev (>= 3.0.0),
+ zlib1g-dev,
+ gsoap,
+ libgsoap-dev,
+ libtool,
+ libtool-bin,
+ doxygen,
+ sharutils,
+ dh-apache2,
+ pkg-config
+Standards-Version: 4.5.0
+Homepage: https://github.com/CESNET/gridsite
+Vcs-Git: https://salsa.debian.org/ellert/gridsite.git
+Vcs-Browser: https://salsa.debian.org/ellert/gridsite
 
 Package: gridsite
 Architecture: any
 Multi-Arch: foreign
-Depends: libgridsite6 (= ${binary:Version}), apache2-bin (>= 2.4), ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ libgridsite6 (= ${binary:Version}),
+ apache2-bin (>= 2.4),
+ ${shlibs:Depends},
+ ${misc:Depends}
 Recommends: ${misc:Recommends}
 Description: Grid Security for the Web, Web platforms for Grids
  GridSite was originally a web application developed for managing and
@@ -28,7 +46,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Run time libraries for mod_gridsite and gridsite-clients
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over
@@ -41,7 +61,10 @@
 Package: gridsite-clients
 Architecture: any
 Multi-Arch: foreign
-Depends: libgridsite6 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ libgridsite6 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: Clients to gridsite: htcp, htrm, htmv
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over
@@ -56,7 +79,9 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libgridsite6 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libgridsite6 (= ${binary:Version}),
+ ${misc:Depends}
 Description: Developers tools for gridsite
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over
@@ -71,7 +96,8 @@
 Architecture: all
 Multi-Arch: foreign
 Section: doc
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends}
 Description: Developers Documentation for gridsite
  GridSite was originally a web application developed for managing and
  formatting the content of the http://www.gridpp.ac.uk/ website. Over
