=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-
--include /usr/share/dpkg/buildflags.mk
 
 INSTALLDIR = $(CURDIR)/debian/tmp
 
@@ -18,35 +14,15 @@
 _mandir = $(_datadir)/man
 _docdir = $(_datadir)/doc
 
-export SOURCE_DATE_EPOCH = \
-	$(shell date -d "$$(dpkg-parsechangelog -c 1 -S Date)" +%s)
+%:
+	dh $@ --with apache2
 
-configure: configure-stamp
-
-configure-stamp:
-	dh_testdir
-
-	touch $@
-
-build: build-indep build-arch
-
-build-indep: build-stamp
-
-build-arch: build-stamp
-
-build-stamp: configure-stamp
-	dh_testdir
-
+override_dh_auto_build:
 	cd src && \
 	$(MAKE) build prefix=/usr libdir=lib/$(DEB_HOST_MULTIARCH) \
 	    CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"
 
-	touch $@
-
-clean:
-	dh_testdir
-	dh_testroot
-
+override_dh_auto_clean:
 	cd src && \
 	$(MAKE) clean
 
@@ -55,15 +31,7 @@
 	rm -f doc/*.8.html
 	rm -f src/doxygen_sqlite3.db
 
-	rm -f build-stamp configure-stamp
-
-	dh_clean
-
-install: build-stamp
-	dh_testdir
-	dh_testroot
-	dh_prep
-
+override_dh_auto_install:
 	cd src && \
 	$(MAKE) install install-ws DESTDIR=$(INSTALLDIR) \
 		prefix=/usr libdir=lib/$(DEB_HOST_MULTIARCH)
@@ -113,43 +81,12 @@
 	  $(INSTALLDIR)$(_sysconfdir)/grid-security/dn-lists \
 	  $(INSTALLDIR)$(_localstatedir)/cache/mod_gridsite
 
-binary-indep: install
-	dh_testdir
-	dh_testroot
-	dh_installdocs -i
-	dh_installchangelogs -i
-	dh_install -i --fail-missing
-	dh_lintian -i
-	dh_link -i
-	dh_compress -i
-	dh_fixperms -i
-	dh_installdeb -i
-	dh_gencontrol -i
-	dh_md5sums -i
-	dh_builddeb -i
+override_dh_missing:
+	dh_missing -i --fail-missing
 
-binary-arch: install
-	dh_testdir
-	dh_testroot
-	dh_installdocs -a
-	dh_installchangelogs -a
-	dh_install -a --fail-missing
-	dh_apache2 -a
-	dh_installman -a
-	dh_lintian -a
-	dh_link -a
-	dh_strip -a -X/$(DEB_HOST_MULTIARCH)/ --dbg-package=gridsite-dbg
-	dh_strip -a -X/bin/ -X/gridsite/ --dbg-package=libgridsite-dbg
-	dh_compress -a
+override_dh_strip:
+	dh_strip -a --dbgsym-migration='gridsite-dbg (<< 3.0.0~), libgridsite-dbg (<< 3.0.0~)'
+
+override_dh_fixperms:
 	dh_fixperms -a -X var/lib/gridsite -X etc/gridsite \
 		       -X var/cache/mod_gridsite -X etc/grid-security/dn-lists
-	dh_makeshlibs -a
-	dh_installdeb -a
-	dh_shlibdeps -a
-	dh_gencontrol -a
-	dh_md5sums -a
-	dh_builddeb -a
-
-binary: binary-indep binary-arch
-
-.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install configure
